# Get registered card by ID

This endpoint retrieves a registered card for a registered member.

Endpoint: GET /loyalty/registered-cards/{registeredCardId}
Version: 1.0
Security: JWT

## Path parameters:

  - `registeredCardId` (string, required)
    Id of the registered card

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `id` (string)
    The Id of the registered card in the Tyro Connect system.

  - `paymentId` (string)
    Payment Identifier generated from the payment source. It refers to the transaction.receipt (from Tyro eCommerce APIs) or otherwise referred to as the RRN.

  - `paymentSource` (string)
    Source of payment.
    Enum: "EFTPOS", "ONLINE"

  - `origin` (object)

  - `origin.memberId` (string)
    The identifier of the member who is associated with this card.

  - `preAccumulatedReward` (integer)
    The pre-accumulated reward amount on the card at the time of registration. If you have opted to represent rewards in AUD, then this value is in cents.

## Response 404 fields (application/json):

  - `error` (string)
    The error message.


## Response 401 fields
